Package com.explodingpixels.widgets

## Interface IconProvider

All Known Implementing Classes:
  `SourceListItem`

    public interface IconProvider

An interface for provider's of `Icon`s.

### Method Summary

All Methods Instance Methods Abstract Methods
`javax.swing.Icon` `getIcon()` Gets the `Icon` for this element.

### Method Detail

#### getIcon

    javax.swing.Icon getIcon()

Gets the `Icon` for this element.

Returns:
  the `Icon` for this element.